Package com.independentsoft.office.odf

# Enum Class CaptionSequenceFormat

java.lang.Object
java.lang.Enum<CaptionSequenceFormat>
com.independentsoft.office.odf.CaptionSequenceFormat

All Implemented Interfaces:
  `Serializable`, `Comparable<CaptionSequenceFormat>`, `Constable`

public enum CaptionSequenceFormat extends Enum<CaptionSequenceFormat>
Represents the format of entries for the index of illustrations obtained from the image captions.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CAPTION`
  Text of the caption in which the referenced sequence field is included
  `CATEGORY_AND_VALUE`
  Displays the name and value of the referenced sequence field.
  `NONE`
  None.
  `TEXT`
  Displays the value of the referenced sequence field.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CaptionSequenceFormat`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static CaptionSequenceFormat[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TEXT

    public static final CaptionSequenceFormat TEXT
    Displays the value of the referenced sequence field.

  - ### CATEGORY_AND_VALUE

    public static final CaptionSequenceFormat CATEGORY_AND_VALUE
    Displays the name and value of the referenced sequence field.

  - ### CAPTION

    public static final CaptionSequenceFormat CAPTION
    Text of the caption in which the referenced sequence field is included

  - ### NONE

    public static final CaptionSequenceFormat NONE
    None.

- ## Method Details

  - ### values

    public static CaptionSequenceFormat[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CaptionSequenceFormat valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null